package com.qmth.distributed.print.business.bean.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.qmth.distributed.print.business.entity.TCStatistics;
import com.qmth.distributed.print.business.enums.StatisticsStatusEnum;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Objects;

/**
 * @Description: 命题统计导入 dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/9/10
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class TCStatisticsDto extends TCStatistics implements Serializable {

    @ApiModelProperty(value = "总印份数")
    private Integer printSum;

    @ApiModelProperty(value = "完成状态，FINISH：已完成，UN_FINISH：未完成")
    private StatisticsStatusEnum status;

    @ApiModelProperty(value = "完成状态，FINISH：已完成，UN_FINISH：未完成")
    private String statusStr;

    @ApiModelProperty(value = "印刷计划名称")
    private String printPlanName;

    public String getPrintPlanName() {
        return printPlanName;
    }

    public void setPrintPlanName(String printPlanName) {
        this.printPlanName = printPlanName;
    }

    public Integer getPrintSum() {
        return printSum;
    }

    public void setPrintSum(Integer printSum) {
        this.printSum = printSum;
    }

    public StatisticsStatusEnum getStatus() {
        return status;
    }

    public void setStatus(StatisticsStatusEnum status) {
        this.status = status;
    }

    public String getStatusStr() {
        if (Objects.nonNull(status)) {
            return status.getTitle();
        } else {
            return statusStr;
        }
    }

    public void setStatusStr(String statusStr) {
        this.statusStr = statusStr;
    }
}
